Payout Links
Fetch All Payout Links
Fetch all the Payout Links using the API.
GET
Available in🇮🇳 India🇸🇬 Singapore🇺🇸 United States
Use this endpoint to retrieve all the Payout Links created.
Query Parameters
Pass any of the following parameters as required to retrieve Payout Links as necessary.integer
Timestamp, in Unix, from when Payout Links are to be retrieved.
integer
Timestamp, in Unix, till when Payout Links are to be retrieved.
integer
The number of Payout Links to be retrieved. The default value is 10. The maximum value is 100. This can be used for pagination in combination with
skip.integer
The numbers of Payout Links to be skipped. The default value is 0. This can be used for pagination in combination with
count.string
The unique identifier for the Payout Link. For example,
poutlk_00000000000001.string
The unique identifier of the contact to whom the Payout Link was sent to. For example,
cont_00000000000001.string
The contact’s phone number. For example,
9000090000.string
The contact’s email address. For example,
gaurav.kumar@example.com.string
The unique identifier of the contact’s fund account to which the payout was made. For example,
fa_00000000000001.string
The purpose of the payout that was created. For example,
refund.string
The Payout Link status. Possible values:
issuedprocessingprocessedcancelled
string
A user-entered receipt number for the payout. For example,
Receipt No. 1.string
A short link for the Payout Link that was created. This was the link shared with the contact.
Response Parameters
integer
The number of Payout Links you requested to retrieve.
string
The entity created. Here it is
collection.string
The unique identifier of the Payout Link created. For example,
poutlk_00000000000001.string
The entity created. Here it is
payout_link.object
Details of the contact to whom the Payout Link was sent to.
string
The contact’s name. For example,
Gaurav Kumar.string
Classification of the contact created. For example,
employee.string
The contact’s phone number. For example,
9000090000.string
The contact’s email address. For example,
gaurav.kumar@example.com.string
The purpose of the payout. For example,
refund, cashback or payout.string
The Payout Link status. Possible values:
pendingissuedprocessingprocessedcancelledrejected
Refer to the Payout Link Life Cycle section for more details.
integer
The amount, in paise, transferred from the business account to the contact’s fund account.
The value passed here does not include fees and tax. Fees and tax, if any, are deducted from your account balance.
The value passed here does not include fees and tax. Fees and tax, if any, are deducted from your account balance.
string
The currency in which the payout was made. Here, it is
INR.string
A user-entered description for the Payout Link. For example,
Payout link for Gaurav Kumar.string
A short link for the Payout Link that was created. This is the link that was shared with the contact.
integer
Timestamp, in Unix, when the Payout Link was created.
string
The unique identifier of the contact to whom the Payout Link was sent. For example,
cont_00000000000001.boolean
Possible values:
true: SMS sent to the provided contact number.false: SMS could not be sent to the provided contact number. This could be because the contact number provided was wrong.
boolean
Possible values:
true: Email sent to the provided email address.false: Email could not be sent to the provided email address. This could be because the email address provided was wrong.
string
The unique identifier of the contact’s fund account to which the payout was made. For example,
Fund Account id is returned only when the Payout Link moves to the
fa_00000000000001. Fund Account id is returned only when the Payout Link moves to the
processing state after the contact provides their account details.string
The unique identifier for the payout made to the contact. For example,
This value is returned only when the Payout Link moves to the
pout_00000000000001. This value is returned only when the Payout Link moves to the
processed state after the contact receives the amount in their account.integer
Timestamp, in Unix, if the Payout Link was cancelled by you. This value is returned only when the Payout Link moves to the
cancelled state.integer
The number of attempts to complete the payout. For example,
0.string
A user-entered receipt number for the payout. For example,
Receipt No. 1.object
User-entered notes for internal reference. This is a key-value pair. For example,
"note_key": "Beam me up Scotty”.integer
Timestamp, in Unix, when the Payout Link was to expire. This is set at the time of creation of the Payout Link and is set at least 15 minutes ahead of the current time.
This value is returned only if you have enabled the expiry feature for Payout Links. Know how to set expiry to Payout Links.
This value is returned only if you have enabled the expiry feature for Payout Links. Know how to set expiry to Payout Links.
integer
Timestamp, in Unix, when the Payout Link expired. This is set at the time of creation of the Payout Link.